Class Index | File Index

## Classes

- _Association
- _global_
- Dataset
- ManyToMany
- ManyToOne
- MayToOne
- Migrations
- Model
- moose
- moose.adapters
- moose.adapters.client.Client
- moose.adapters.client.ConnectionPool
- moose.adapters.client.mysql.ConnectionPool
- moose.adapters.client.mysql.Query
- moose.adapters.client.mysql.TransactionQuery
- moose.adapters.mysql
- moose.adapters.mysql.types
- moose.plugins
- moose.plugins.AssociationPlugin
- moose.plugins.CachePlugin
- moose.plugins.QueryPlugin
- moose.plugins.TimeStampPlugin
- moose.Table
- OneToMany
- SQL
- Type

# Class moose.adapters.client.mysql.Query

MySQL Client wrapper to standardize queries. NOTE this class is not publicly exposed, but returned from calling getConnection on moose.getConnection
Defined in: mysql.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| moose.adapters.client.mysql.Query(pool, forceClose=false, database)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| database the name of the database the query is currently using.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| query(query) Queries the database.

Class Detail
moose.adapters.client.mysql.Query(pool, forceClose=false, database)

Parameters:
{moose.adapters.mysql.ConnectionPool} pool
  the pool to retrieve connections from.
{Boolean} forceClose=false
  whether or not to force close the connection
{String} database Optional
  the database to connect to when querying.

Field Detail
{String} database
the name of the database the query is currently using.
Method Detail
{comb.Promise} query(query)
Queries the database.

Parameters:
{String} query
  query to perform

Returns:
  {comb.Promise} promise that is called back with the results, or error backs with an error.

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Jun 11 2011 03:16:40 GMT-0500 (CDT)